## libksysguard 5.5.5

=== CMakeLists.txt ===
project(libksysguard)
set(PROJECT_VERSION "5.5.5")
set(PROJECT_VERSION_MAJOR 5)
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

include(FeatureSummary)
include(WriteBasicConfigVersionFile)

find_package(ECM 1.2.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 REQUIRED CONFIG COMPONENTS DBus Network Widgets Script)
find_package(Qt5WebKitWidgets CONFIG)
set_package_properties(Qt5WebKitWidgets PROPERTIES
                       URL "git://gitorious.org/qt/qtwebkit.git"
                       DESCRIPTION "Qt Webkit module (web browsing engine)"
                       TYPE OPTIONAL
                       PURPOSE "Used by the HTML-based GUI ksysguard library"
                      )

find_package(KF5 REQUIRED COMPONENTS CoreAddons Config I18n WindowSystem Completion Auth WidgetsAddons IconThemes ConfigWidgets Service Plasma)
find_package(ZLIB REQUIRED)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "http://www.zlib.net"
                       TYPE REQUIRED
                      )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

include(ECMAddTests)
include(ECMInstallIcons)
include(ECMPackageConfigHelpers)
include(CheckIncludeFiles)
include(ECMSetupVersion)

ecm_setup_version(${PROJECT_VERSION}
                  VARIABLE_PREFIX KSYSGUARD
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ksysguard_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5SysGuardConfigVersion.cmake"
                  SOVERSION 7
)

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "http://www.x.org"
                        TYPE OPTIONAL
                        PURPOSE "Required for building the X11 based workspace"
                    )
if(X11_FOUND)
    find_package(Qt5X11Extras REQUIRED)
    find_library(X11_XRes_LIB XRes ${X11_LIB_SEARCH_PATH})
    find_path(X11_XRes_INCLUDE_PATH X11/extensions/XRes.h ${X11_INC_SEARCH_PATH})

    if(X11_XRes_LIB AND X11_XRes_INCLUDE_PATH)
        set(X11_XRes_FOUND TRUE)
    endif()
endif()

set(HAVE_X11 ${X11_FOUND})
set(HAVE_XRES ${X11_XRes_FOUND})
set(HAVE_QTWEBKITWIDGETS ${Qt5WebKitWidgets_FOUND})
configure_file(config-ksysguard.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-ksysguard.h )

add_subdirectory( lsofui )
add_subdirectory( processcore )
add_subdirectory( processui )
add_subdirectory( signalplotter )
add_subdirectory( ksgrd )

if(BUILD_TESTING)
add_subdirectory( tests )
endif()

install(DIRECTORY scripts/ DESTINATION ${DATA_INSTALL_DIR}/ksysguard/scripts)

set(CMAKECONFIG_INSTALL_DIR ${LIB_INSTALL_DIR}/cmake/KF5SysGuard)
ecm_configure_package_config_file(KF5SysGuardConfig.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/KF5SysGuardConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(FILES
		${CMAKE_CURRENT_BINARY_DIR}/KF5SysGuardConfig.cmake
		${CMAKE_CURRENT_BINARY_DIR}/KF5SysGuardConfigVersion.cmake
        DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(EXPORT libksysguardLibraryTargets
        NAMESPACE KF5::
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        FILE KF5SysGuardLibraryTargets.cmake )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

## libksysguard 5.2.2

=== debian/changelog ===
libksysguard (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:35:15 -0700

libksysguard (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:43:57 -0800

libksysguard (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:55:34 +0100

libksysguard (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:33:06 +0100

libksysguard (4:5.1.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Dec 2014 13:23:50 +0100

libksysguard (4:5.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:49:14 +0100

libksysguard (4:5.1.0.1-0ubuntu1) vivid; urgency=medium

  [ Jonathan Riddell ]
  * New upstream beta release
  * Move data files to libkf5sysguard5-data

  [ Scarlett Clark ]
  * Add missing processlisthelper files
  * Add not-installed for a file installed to /etc rather than /usr/etc

  [ Harald Sitter ]
  * Revise build-dependencies to only include direct build dependencies,
    dependencies of build dependencies should be pulled in by the build
    dependencies themselves.
  * Bump rules to new pkg-kde include for kde frameworks 5
    + This is to build the package as any other frameworks 5 based package.
    + Drop the manual path change on the dbus config in the -data.install
      as the new pkg-kde should automatically make config content go to
      /etc making the manual move from /usr/etc to /etc pointless.
    + Drop not-installed as the only filelisted there was the moved /usr/etc/
      file
  * Switch to autopkgtest as test suite and override the build time test.
    - We need a more advanced setup as internally libksysguard will use
      kwindowsystem to identify windows running in the current netwm session,
      which will give unintended results (namely right now kwindowsystem
      crashes) if there is no window manager. So we are running a more
      advanced setup using autopkgtest and openbox.
  * libkf5sysguard5-data breaks and conflicts pre-5.0 ksysguard as the
    dbus processlisthelper.conf previously was in ksysguard.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 13:49:37 +0200

libksysguard (4:5.0.2-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 17 Sep 2014 18:18:17 -0700

libksysguard (4:5.0.1-0ubuntu1~ubuntu14.10~ppa2) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Update watch to http://download.kde.org

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 15:43:41 +0200

libksysguard (4:4.98.0-0ubuntu1) utopic; urgency=medium

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 13:21:18 +0200

libksysguard (4:4.97.0-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Initial release.

  [ Jonathan Riddell ]
  * New upstream beta release

  [ José Manuel Santamaría Lema ]
  * Build depend on libz-dev.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jun 2014 10:26:19 +0100

=== debian/control ===
Source: libksysguard
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.3.0),
               libkf5config-dev (>= 5.2.0),
               libkf5i18n-dev (>= 5.2.0),
               libkf5kdelibs4support-dev (>= 5.2.0),
               libqt5webkit5-dev,
               libqt5x11extras5-dev,
               libz-dev,
               pkg-kde-tools,
               plasma-framework-dev (>= 5.2.0),
               qtbase5-dev,
               qtscript5-dev,
               xauth,
               xvfb
Standards-Version: 3.9.5
Section: libs
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/workspace/libksysguard

Package: libkf5sysguard-dev
Section: libdevel
Architecture: any
Depends: libkf5sysguard5 (= ${binary:Version}),
         libksgrd5 (= ${binary:Version}),
         libksignalplotter5 (= ${binary:Version}),
         liblsofui5 (= ${binary:Version}),
         libprocesscore5 (= ${binary:Version}),
         libprocessui5 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: kde-workspace-dev
Description: library for monitoring your system - development files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the files necessary for development.

Package: libkf5sysguard5
Section: libs
Architecture: any
Depends: libkf5sysguard5-data (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libksgrd5
Section: libs
Architecture: any
Depends: libkf5sysguard5-data (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libksignalplotter5
Section: libs
Architecture: any
Depends: libkf5sysguard5 (= ${binary:Version}),
         libkf5sysguard5-data (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: liblsofui5
Section: libs
Architecture: any
Depends: libkf5sysguard5-data (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libprocesscore5
Section: libs
Architecture: any
Depends: libkf5sysguard5-data (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libprocessui5
Section: libs
Architecture: any
Depends: libkf5sysguard5-data (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libkf5sysguard5-data
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ksysguard (<< 4:5.0.0), libkf5sysguard5 (<< 4:5.0.95)
Replaces: ksysguard (<< 4:5.0.0), libkf5sysguard5 (<< 4:5.0.95)
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the data files

Package: libksysguard5-dbg
Section: debug
Architecture: any
Recommends: libqt5-dbg
Depends: libkf5sysguard5 (= ${binary:Version}), ${misc:Depends}
Description: library for monitoring your system - debug info
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libksysguard5-dbg

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]+)/libksysguard-(.*)\.tar\.xz

http://download.kde.org/stable/plasma/([\d\.]+)/libksysguard-(.*)\.tar\.xz

## libksysguard 5.4.2

=== debian/changelog ===
libksysguard (4:5.4.2-0ubuntu2) wily; urgency=medium

  [ Harald Sitter ]
  * Annotate symbol correctly to fix dpkg-gensymbols build failure

  [ José Manuel Santamaría Lema ]
  * Bump libkf5sysguard-bin Breaks/Replaces against libkf5sysguard5 to
    (<< 4:5.4.2) previous version was 4:5.2.0, however there is a
    libkf5sysguard5 4:5.2.2 in vivid still providing a file which was moved
    later to libkf5sysguard-bin.

 -- Harald Sitter <sitter@kde.org>  Wed, 07 Oct 2015 06:38:47 +0200

libksysguard (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:58:02 +0100

libksysguard (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:20:53 +0100

libksysguard (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:53:20 +0100

libksysguard (4:5.3.95-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:17:39 +0200

libksysguard (4:5.3.2-0ubuntu2) wily; urgency=medium

  * Non-maintainer upload.
  * Update symbols files: mark as optional the symbols gone after
    building with GCC 5

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 22 Jul 2015 20:05:10 +0200

libksysguard (4:5.3.2-0ubuntu1) UNRELEASED; urgency=medium

  * Vivid backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 02 Jul 2015 11:42:32 -0700

libksysguard (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:32:17 +0000

libksysguard (4:5.3.1-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * Plasma 5.3 beta
  * new upstream release

  [ Scarlett Clark ]
  * Vivid backport
  * wrap-and-sort 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:36:19 +0200

libksysguard (4:5.3.1-1~) wily; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 11:59:50 +0200

libksysguard (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:18:00 +0100

libksysguard (4:5.2.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Add myself as Uploader.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.
  * Add acc autopkgtests.
  * Add missing dev dependency (thanks to acc headers check)
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 10 Feb 2015 09:28:30 +0100

=== debian/control ===
Source: libksysguard
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0),
               libkf5auth-dev,
               libkf5completion-dev,
               libkf5config-dev (>= 5.2.0),
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev (>= 5.2.0),
               libkf5iconthemes-dev,
               libkf5service-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libqt5webkit5-dev,
               libqt5x11extras5-dev (>= 5.4),
               libx11-dev,
               libz-dev,
               pkg-kde-tools (>= 0.15.16),
               plasma-framework-dev (>= 5.2.0),
               qtbase5-dev (>= 5.4),
               qtscript5-dev (>= 5.4),
               xauth,
               xvfb,
               zlib1g-dev
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/workspace/libksysguard
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/libksysguard.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/libksysguard.git

Package: libkf5sysguard-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev,
         libkf5i18n-dev,
         libkf5sysguard-bin (= ${binary:Version}),
         libksgrd7 (= ${binary:Version}),
         libksignalplotter7 (= ${binary:Version}),
         liblsofui7 (= ${binary:Version}),
         libprocesscore7 (= ${binary:Version}),
         libprocessui7 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Conflicts: kde-workspace-dev
Description: library for monitoring your system - development files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the files necessary for development.

Package: libkf5sysguard-bin
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5sysguard5 (<< 4:5.4.2)
Replaces: libkf5sysguard5 (<< 4:5.4.2)
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libkf5sysguard5
Priority: extra
Section: oldlibs
Architecture: all
Depends: libkf5sysguard-bin (>= ${source:Version}), ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libksgrd7
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libksignalplotter7
Architecture: any
Depends: libkf5sysguard-bin (= ${binary:Version}),
         libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: liblsofui7
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libprocesscore7
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libprocessui7
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libkf5sysguard-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ksysguard (<< 4:5.0.0),
        libkf5sysguard-bin (<< 4:5.0.95),
        libkf5sysguard5-data (<< 4:5.3.2)
Replaces: ksysguard (<< 4:5.0.0),
          libkf5sysguard-bin (<< 4:5.0.95),
          libkf5sysguard5-data (<< 4:5.3.2)
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the data files

Package: libkf5sysguard5-data
Section: oldlibs
Priority: extra
Architecture: all
Depends: libkf5sysguard-data (>= ${source:Version}), ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libkf5sysguard-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libprocessui7 (= ${binary:Version}) | libprocesscore7 (= ${binary:Version}) | liblsofui7 (= ${binary:Version}) | libksignalplotter7 (= ${binary:Version}) | libksgrd7 (= ${binary:Version}),
         ${misc:Depends}
Recommends: libqt5-dbg
Description: library for monitoring your system - debug info
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5sysguard-dbg

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## libksysguard 5.5.5

=== debian/changelog ===
libksysguard (4:5.5.5-0ubuntu2) xenial; urgency=medium

  * Add upstream patch to fix build with new libc6.
     
  * Add files. 
  * Release to xenial.

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 18:23:55 -0700

libksysguard (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:48:33 -0700

libksysguard (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Revert package version bump. Stable should *NOT* be
    the same version as master. 
  * New upstream release Xenial

  [ Clive Johnston ]
  * new upstream release
  * New upstream release

  [ Scarlett Clark ]
  * Debian merge, No remaining changes. 
  * Bump the version, somehow the ppa version is changes to this....
  * Merge unstable into archive for debian merge. 
  * Remove .80 version from archive!!! ugh. 

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:25:48 +0100

libksysguard (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:46:08 +0100

libksysguard (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:37:00 +0100

libksysguard (4:5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).
  * Update symbols files from buildds logs (4:5.4.1-1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:52:26 +0200

libksysguard (4:5.4.2-0ubuntu3) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:53 +0100

libksysguard (4:5.4.2-0ubuntu1) UNRELEASED; urgency=medium

  * Vivid backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 05 Oct 2015 11:49:42 -0700

libksysguard (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:45:45 +0200

libksysguard (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Sep 2015 17:37:13 +0200

libksysguard (4:5.3.2-2) unstable; urgency=medium

  * Add the missing Breaks/Replaces. (Closes: #790920, #790802)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 03 Jul 2015 14:07:56 +0200

libksysguard (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.2).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 23:15:57 +0200

libksysguard (4:5.3.1-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 10:35:19 +0200

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,22 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0),
-               libkf5auth-dev,
-               libkf5completion-dev,
-               libkf5config-dev (>= 5.2.0),
-               libkf5configwidgets-dev,
-               libkf5coreaddons-dev,
-               libkf5i18n-dev (>= 5.2.0),
-               libkf5iconthemes-dev,
-               libkf5service-dev,
-               libkf5widgetsaddons-dev,
-               libkf5windowsystem-dev,
+               extra-cmake-modules (>= 5.18.0~),
+               libkf5auth-dev (>= 5.18.0~),
+               libkf5completion-dev (>= 5.18.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5configwidgets-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5iconthemes-dev (>= 5.18.0~),
+               libkf5service-dev (>= 5.18.0~),
+               libkf5widgetsaddons-dev (>= 5.18.0~),
+               libkf5windowsystem-dev (>= 5.18.0~),
                libqt5webkit5-dev,
                libqt5x11extras5-dev (>= 5.4),
                libx11-dev,
                libz-dev,
-               pkg-kde-tools (>= 0.15.16),
+               pkg-kde-tools (>= 0.15.18~),
                plasma-framework-dev (>= 5.2.0),
                qtbase5-dev (>= 5.4),
                qtscript5-dev (>= 5.4),
@@ -28,7 +28,6 @@
                xvfb,
                zlib1g-dev
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/kde/workspace/libksysguard
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/libksysguard.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/libksysguard.git
@@ -36,6 +35,7 @@
 Package: libkf5sysguard-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: no
 Depends: libkf5config-dev,
          libkf5i18n-dev,
          libkf5sysguard-bin (= ${binary:Version}),
@@ -55,6 +55,7 @@
 
 Package: libkf5sysguard-bin
 Architecture: any
+Multi-Arch: same
 Depends: libkf5sysguard-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -76,6 +77,7 @@
 
 Package: libksgrd7
 Architecture: any
+Multi-Arch: same
 Depends: libkf5sysguard-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -87,6 +89,7 @@
 
 Package: libksignalplotter7
 Architecture: any
+Multi-Arch: same
 Depends: libkf5sysguard-bin (= ${binary:Version}),
          libkf5sysguard-data (= ${source:Version}),
          ${misc:Depends},
@@ -99,6 +102,7 @@
 
 Package: liblsofui7
 Architecture: any
+Multi-Arch: same
 Depends: libkf5sysguard-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -110,6 +114,7 @@
 
 Package: libprocesscore7
 Architecture: any
+Multi-Arch: same
 Depends: libkf5sysguard-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -121,6 +126,7 @@
 
 Package: libprocessui7
 Architecture: any
+Multi-Arch: same
 Depends: libkf5sysguard-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -132,13 +138,16 @@
 
 Package: libkf5sysguard-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: ksysguard (<< 4:5.0.0),
         libkf5sysguard-bin (<< 4:5.0.95),
-        libkf5sysguard5-data (<< 4:5.3.2)
+        libkf5sysguard5-data (<< 4:5.2.0),
+        ${kde-l10n:all}
 Replaces: ksysguard (<< 4:5.0.0),
           libkf5sysguard-bin (<< 4:5.0.95),
-          libkf5sysguard5-data (<< 4:5.3.2)
+          libkf5sysguard5-data (<< 4:5.2.0),
+          ${kde-l10n:all}
 Description: library for monitoring your system - shared library
  KSysGuard is a program to monitor various elements of your system, or any
  other remote system with the KSysGuard daemon (ksysgardd) installed.
@@ -157,6 +166,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: libprocessui7 (= ${binary:Version}) | libprocesscore7 (= ${binary:Version}) | liblsofui7 (= ${binary:Version}) | libksignalplotter7 (= ${binary:Version}) | libksgrd7 (= ${binary:Version}),
          ${misc:Depends}
 Recommends: libqt5-dbg

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
+l10npkgs_firstversion_ok := 4:4.14.0-2
+
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=libkf5sysguard-dbg

=== debian/tests/control ===
Tests: testsuite
Depends: @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox
Restrictions: rw-build-tree

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d.]+)/libksysguard-([\d.]+)\.tar\.xz
http://download.kde.org/stable/plasma/([\d.]+)/libksysguard-([\d.]+)\.tar\.xz

## libksysguard 5.7.5

=== debian/changelog ===
libksysguard (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:28:17 -0500

libksysguard (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:06:54 +0000

libksysguard (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:48:32 +0100

libksysguard (4:5.6.4-0ubuntu2) UNRELEASED; urgency=medium

  * Adding source-is-missing to lintian overrides

 -- Clive Johnston <clivejo@kubuntu.org>  Sun, 05 Jun 2016 21:42:24 +0100

libksysguard (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Removing upstream patch
    - upstream_signalplotter_use_std_namespaced_isnan_and_isinf.diff

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:21:52 -0700

libksysguard (4:5.5.80-0ubuntu1) UNRELEASED; urgency=medium

  * Fix build by bumping unstable back to .80 (why do people do this?
    It ALWAYS breaks stuff).

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 15 Jan 2016 14:45:47 -0800

=== debian/control ===
--- 
+++ 
@@ -5,46 +5,46 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               libkf5auth-dev (>= 5.18.0~),
-               libkf5completion-dev (>= 5.18.0~),
-               libkf5config-dev (>= 5.18.0~),
-               libkf5configwidgets-dev (>= 5.18.0~),
-               libkf5coreaddons-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5iconthemes-dev (>= 5.18.0~),
-               libkf5service-dev (>= 5.18.0~),
-               libkf5widgetsaddons-dev (>= 5.18.0~),
-               libkf5windowsystem-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               libkf5auth-dev (>= 5.24.0~),
+               libkf5completion-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5configwidgets-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5iconthemes-dev (>= 5.24.0~),
+               libkf5service-dev (>= 5.24.0~),
+               libkf5widgetsaddons-dev (>= 5.24.0~),
+               libkf5windowsystem-dev (>= 5.24.0~),
                libqt5webkit5-dev,
-               libqt5x11extras5-dev (>= 5.4),
+               libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libz-dev,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-framework-dev (>= 5.2.0),
-               qtbase5-dev (>= 5.4),
-               qtscript5-dev (>= 5.4),
+               plasma-framework-dev (>= 5.24.0~),
+               qtbase5-dev (>= 5.6.1~),
+               qtscript5-dev (>= 5.6.1~),
                xauth,
                xvfb,
                zlib1g-dev
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/libksysguard
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/libksysguard.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/libksysguard.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
 
 Package: libkf5sysguard-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: no
-Depends: libkf5config-dev,
-         libkf5i18n-dev,
+Depends: libkf5config-dev (>= 5.24.0~),
+         libkf5i18n-dev (>= 5.24.0~),
          libkf5sysguard-bin (= ${binary:Version}),
          libksgrd7 (= ${binary:Version}),
          libksignalplotter7 (= ${binary:Version}),
          liblsofui7 (= ${binary:Version}),
          libprocesscore7 (= ${binary:Version}),
          libprocessui7 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Conflicts: kde-workspace-dev
 Description: library for monitoring your system - development files

## libksysguard 5.8.4

=== debian/changelog ===
libksysguard (4:5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:37:29 +0100

libksysguard (4:5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:23:08 +0200

libksysguard (4:5.8.1-1) unstable; urgency=medium

  * New upstream release (5.8.1)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 22:59:04 +0200

libksysguard (4:5.8.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.8.0)
  * Replace dbus-launch with dbus-run-session in tests
  * Bump group breaks (5.8)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:05:05 +0200

libksysguard (4:5.7.4-1) unstable; urgency=medium

  * New upstream release (5.7.4)
  * Bump group breaks (5.7)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Aug 2016 15:05:10 +0200

libksysguard (4:5.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Jul 2016 22:30:29 +0200

libksysguard (4:5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Jun 2016 11:12:36 +0200

libksysguard (4:5.6.4-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * New upstream release (5.6.2).
  * Add source js lintian-override
  * debian/control: Update Vcs-Browser and Vcs-Git fields

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 02:21:12 +0200

libksysguard (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:49:16 +0100

=== debian/control ===
Source: libksysguard
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0),
               libkf5auth-dev,
               libkf5completion-dev,
               libkf5config-dev (>= 5.2.0),
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev (>= 5.2.0),
               libkf5iconthemes-dev,
               libkf5plasma-dev (>= 5.2.0),
               libkf5service-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libqt5webkit5-dev,
               libqt5x11extras5-dev (>= 5.4),
               libx11-dev,
               libz-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.4),
               qtscript5-dev (>= 5.4),
               xauth,
               xvfb,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/libksysguard
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/libksysguard.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/libksysguard.git

Package: libkf5sysguard-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev,
         libkf5i18n-dev,
         libkf5sysguard-bin (= ${binary:Version}),
         libksgrd7 (= ${binary:Version}),
         libksignalplotter7 (= ${binary:Version}),
         liblsofui7 (= ${binary:Version}),
         libprocesscore7 (= ${binary:Version}),
         libprocessui7 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Breaks: kde-workspace-dev, plasma-workspace-dev (<< 4:5.8)
Replaces: kde-workspace-dev
Conflicts: kde-workspace-dev
Description: library for monitoring your system - development files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the files necessary for development.

Package: libkf5sysguard-bin
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5sysguard5 (<< 4:5.2.0)
Replaces: libkf5sysguard5 (<< 4:5.2.0)
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libkf5sysguard5
Priority: extra
Section: oldlibs
Architecture: all
Depends: libkf5sysguard-bin (>= ${source:Version}), ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libksgrd7
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library
Breaks: ksysguard (<< 4:5.8), plasma-workspace (<< 4:5.8)

Package: libksignalplotter7
Architecture: any
Depends: libkf5sysguard-bin (= ${binary:Version}),
         libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library
Breaks: ksysguard (<< 4:5.8)

Package: liblsofui7
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libprocesscore7
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library
Breaks: ksysguard (<< 4:5.8),
        liblegacytaskmanager5 (<< 4:5.7),
        libtaskmanager6 (<< 4:5.8),
        plasma-workspace (<< 4:5.8)

Package: libprocessui7
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library
Breaks: ksysguard (<< 4:5.8), plasma-workspace (<< 4:5.8)

Package: libkf5sysguard-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ksysguard (<< 4:5.0.0),
        libkf5sysguard-bin (<< 4:5.0.95),
        libkf5sysguard5-data (<< 4:5.2.0),
        ${kde-l10n:all}
Replaces: ksysguard (<< 4:5.0.0),
          libkf5sysguard-bin (<< 4:5.0.95),
          libkf5sysguard5-data (<< 4:5.2.0),
          ${kde-l10n:all}
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the data files

Package: libkf5sysguard5-data
Section: oldlibs
Priority: extra
Architecture: all
Depends: libkf5sysguard-data (>= ${source:Version}), ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
